Camelia, the Perl 6 bug

IRC log for #padre, 2013-01-23

| Channels | #padre index | Today | | Search | Google Search | Plain-Text | summary

All times shown according to UTC.

Time Nick Message
00:22 corwin joined #padre
05:24 sewi joined #padre
06:49 dod joined #padre
06:54 dod1 joined #padre
07:25 dod joined #padre
08:01 Kharec joined #padre
08:52 sugar joined #padre
09:55 sugar joined #padre
13:04 user_2343 joined #padre
13:05 botbot Welcome user_2343
14:11 sivoais joined #padre
14:19 bowtie joined #padre
14:36 kaare joined #padre
14:49 bowtie Hi all, I think I have finished the svn 1.7 hacks for Diff and tests now, please update to r19659 and I look forward to your critiques, I got there in the end so to speak :)
14:49 botbot Changeset #19659 http://padre.perlide.org/trac/changeset/19659
15:44 user_592 joined #padre
15:44 botbot Welcome user_592
15:57 sugar joined #padre
16:04 sugar_ joined #padre
16:06 Kharec joined #padre
16:08 sugar__ joined #padre
16:30 sugar joined #padre
16:52 rindolf joined #padre
18:59 Di-ima joined #padre
20:20 Kharec joined #padre
20:24 abraxxa joined #padre
20:24 abraxxa read
20:24 abraxxa i have weird problem installing Padre on my home box
20:25 abraxxa on perl Makefile.PL
20:25 abraxxa unexpected end of string while parsing JSON string, at character offset 143 (before ","url":"http://modul...") at /home/abraxxa/perl5/perlbrew/perls/perl-5.16.​2/lib/site_perl/5.16.2/CPAN/Meta/Converter.pm line 24.
20:25 El_Che crap
20:25 El_Che I have the same
20:25 El_Che :)
20:25 abraxxa i've upgraded every cpan module but it still fails
20:25 El_Che so far I have it only on perl 5.16.* (perbrew) and not on 5.14
20:25 abraxxa i have Padre 0.96 on the same Ubuntu 12.10 64bit at work
20:26 abraxxa yes, 5.16.2 here and at work
20:26 El_Che I wanted to create some VMs to isolate the problem but I have been too busy
20:26 abraxxa but i've installed it at work some time ago, maybe two month
20:26 El_Che you have the same setup as me
20:27 El_Che as a (bad) workaround, you could try 5.14
20:27 abraxxa what wondes me is why it tries to parse yaml with jsoin
20:27 El_Che until I get it right
20:27 abraxxa json
20:27 El_Che you also have a winxs reference in the error?
20:28 El_Che I thing the problem is somewhere with MakeMaker
20:28 abraxxa it might be Module::Install 1.04 which was used to build Padre 0.96
20:28 abraxxa i've read it's broken without knowing any details
20:28 abraxxa yes
20:28 abraxxa @winxs
20:28 abraxxa the 1.05 changelog entry reads like that: https://metacpan.org/source/ADA​MK/Module-Install-1.06/Changes
20:29 El_Che unparsable version '6,59'
20:30 El_Che bowtie: are you here?
20:30 El_Che on trunk Module::Install 1.06 is used
20:30 abraxxa gah, svn
20:31 El_Che same problem though
20:33 abraxxa maybe installing Module::Install helps
20:33 abraxxa nope
20:34 abraxxa i get that unparseable version error with the svn checkout
20:36 El_Che I downgraded was in inc
20:36 El_Che let me downgrade Makemake
20:36 El_Che r
20:39 El_Che doesn't make a difference
20:40 El_Che abraxxa: could you send a mail to the mailing list about it? I want to look at it, but very busy these days. Hopefully someone more knowledgeble of the toolchain wil lrespind
20:41 abraxxa i'll ask in #toolchain first
20:42 El_Che keep me posted, please
20:42 El_Che -8 C outside
20:42 El_Che let's take a little stroll
20:42 El_Che bbl
20:42 abraxxa ok
20:48 abraxxa export LC_NUMERIC=en_US.UTF-8
20:49 abraxxa some code that holds the version number 6.59 was floating point number converts it to the locale which is de_AT.UTF-8 in my case
20:50 El_Che claudio@adelaide:~$ echo $LC_NUMERIC
20:50 El_Che nl_BE.UTF-8
20:50 El_Che indeed
20:50 El_Che good catch!
20:50 El_Che got to go
20:50 abraxxa i ack'ed and grep'ed for 6,59 and couldn't find it anywhere
20:50 El_Che Need to be added to the wiki
20:50 abraxxa mst looks into it
20:50 abraxxa no, needs to get fixed in the toolchain
20:51 El_Che even better
20:59 abraxxa deleting winxs/Makefile.PL also fixes it
21:08 kaare_ joined #padre
21:09 abraxxa El_Che: are you on the mailing list cause I'm not
21:09 abraxxa hm...i'll just open a RT for it
21:12 abraxxa GAH, they use trac
21:16 abraxxa and the confirm email doesn't get sent
21:16 abraxxa so no bug reports
21:17 El_Che abraxxa: I'll take care of it
21:17 abraxxa thanks!
21:17 El_Che -> /msg me your name to give credit where it's due
21:17 abraxxa there is my paste of the problem http://paste.scsys.co.uk/225141
21:17 abraxxa see my irc info
21:18 El_Che so in what part of the toolchain is it?
21:19 El_Che got to go, but I check the backlog
21:19 El_Che bbl
21:19 abraxxa mst doesn't know
21:19 abraxxa bye!
21:30 bowtie_ joined #padre
21:34 bowtie_ joined #padre
21:47 mib_pthqf3 joined #padre
21:48 botbot Welcome mib_pthqf3
21:51 bowtie_ joined #padre
21:52 bowtie_ El_Che, hi
21:53 bowtie_ just read backlog, yes you should us M-I 1.06 as 1.04 is broken, hence trunk Makefile.Pl updated
21:53 abraxxa bowtie_: trunk fails with the same error
21:53 abraxxa see my paste
21:53 bowtie_ will do
21:54 abraxxa rm winxs/Makefile.PL is a workaround as is setting LC_NUMERIC=en_US.UTF-8
21:56 bowtie_ abraxxa, what is your Lang normally set to?
21:58 abraxxa bowtie_: de_AT.UTF-8
21:58 abraxxa El_Che had the same problem with nl_BE.UTF-8
21:59 bowtie_ abraxxa, what happends if you set Lang to en_xx
21:59 abraxxa somewhere the version number 6.59 is converted to the local floating point interpretation leading to 6,59
21:59 abraxxa fixes the problem

| Channels | #padre index | Today | | Search | Google Search | Plain-Text | summary